searchNodes=[{"doc":"","ref":"HubIdentityElixir.Authentication.html","title":"HubIdentityElixir.Authentication","type":"module"},{"doc":"","ref":"HubIdentityElixir.Authentication.html#fetch_current_user/2","title":"HubIdentityElixir.Authentication.fetch_current_user/2","type":"function"},{"doc":"","ref":"HubIdentityElixir.Authentication.html#log_in_user/2","title":"HubIdentityElixir.Authentication.log_in_user/2","type":"function"},{"doc":"Logs the user out.It clears all session data for safety. See renew_session.","ref":"HubIdentityElixir.Authentication.html#log_out_user/1","title":"HubIdentityElixir.Authentication.log_out_user/1","type":"function"},{"doc":"Used for routes that require the user to be authenticated.If you want to enforce the user email is confirmed before they use the application at all, here would be a good place.","ref":"HubIdentityElixir.Authentication.html#require_authenticated_user/2","title":"HubIdentityElixir.Authentication.require_authenticated_user/2","type":"function"},{"doc":"Documentation for HubIdentityElixir.","ref":"HubIdentityElixir.HubIdentity.html","title":"HubIdentityElixir.HubIdentity","type":"module"},{"doc":"Authenticate with HubIdentity using an email and password. This will call the HubIdentity server and try to autheniticate. Use this method for users who authenticate directly with HubIdentity. Upon successful email and passwordExamplesiex&gt; HubIdentityElixir.authenticate(%{email: &quot;erin@hivelocity.co.jp&quot;, password: &quot;password&quot;}) {:ok, %{&quot;access_token&quot; =&gt; access_token, &quot;refresh_token&quot; =&gt; refresh_token}} iex&gt; HubIdentityElixir.authenticate(%{email: &quot;erin@hivelocity.co.jp&quot;, password: &quot;wrong&quot;}) {:error, &quot;bad request&quot;}","ref":"HubIdentityElixir.HubIdentity.html#authenticate/1","title":"HubIdentityElixir.HubIdentity.authenticate/1","type":"function"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.html#build_current_user/1","title":"HubIdentityElixir.HubIdentity.build_current_user/1","type":"function"},{"doc":"Get the current servers public key certificates. These certificates are used to verify a HubIdentity issued JWT signature. These certificates are rotated on a regular basis. If your website has significant activity, it may make sense to cache and refresh when they expire. Each certificate returned has a timestamp of when the certificate will expire.Examplesiex&gt; HubIdentityElixir.get_certs() [ { &quot;alg&quot;: &quot;RS256&quot;, &quot;e&quot;: &quot;AQAB&quot;, &quot;expires&quot;: 1614837416, &quot;kid&quot;: &quot;C8Rn3J8tPlMp8etztCsb4k51sjTFXbA-Til9XptF2FM&quot;, &quot;kty&quot;: &quot;RSA&quot;, &quot;n&quot;: &quot;really long n&quot;, &quot;use&quot;: &quot;sig&quot; }, ... ]","ref":"HubIdentityElixir.HubIdentity.html#get_certs/0","title":"HubIdentityElixir.HubIdentity.get_certs/0","type":"function"},{"doc":"Get a certificate by a kid. The kid is included with every HubIdentity issued JWT and idetnitifies which certificate was used to generate the certificate.Examplesiex&gt; HubIdentityElixir.get_certs(&quot;C8Rn3J8tPlMp8etztCsb4k51sjTFXbA-Til9XptF2FM&quot;) { &quot;alg&quot;: &quot;RS256&quot;, &quot;e&quot;: &quot;AQAB&quot;, &quot;expires&quot;: 1614837416, &quot;kid&quot;: &quot;C8Rn3J8tPlMp8etztCsb4k51sjTFXbA-Til9XptF2FM&quot;, &quot;kty&quot;: &quot;RSA&quot;, &quot;n&quot;: &quot;really long n&quot;, &quot;use&quot;: &quot;sig&quot; } iex&gt; HubIdentityElixir.get_certs(&quot;expired or not valid kid&quot;) nil","ref":"HubIdentityElixir.HubIdentity.html#get_certs/1","title":"HubIdentityElixir.HubIdentity.get_certs/1","type":"function"},{"doc":"Get the list of Open Authentication Providers from HubIdentity. Remember these links are only good once, and one link. If a users authenticates with Google then the facebook link will be invalid. The links also expire with 10 minutes of issue.Examplesiex&gt; HubIdentityElixir.get_providers() [ { &quot;logo_url&quot;: &quot;https://stage-identity.hubsynch.com/images/facebook.png&quot;, &quot;name&quot;: &quot;facebook&quot;, &quot;request_url&quot;: request_url } ]","ref":"HubIdentityElixir.HubIdentity.html#get_providers/0","title":"HubIdentityElixir.HubIdentity.get_providers/0","type":"function"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.html#hub_identity_url/0","title":"HubIdentityElixir.HubIdentity.hub_identity_url/0","type":"function"},{"doc":"Parse and validate a JWT from HubIdentity. When successful will return an ok tuple with a current_user map.Examplesiex&gt; HubIdentityElixir.parse_token(%{&quot;access_token&quot; =&gt; access JWT}) {:ok, %{ owner_type: &quot;Hubsynch.User&quot;, owner_uid: &quot;uid_1234&quot;, uid: &quot;hub_identity_uid_1234&quot;, user_type: &quot;HubIdentity.User&quot; } } iex&gt; HubIdentityElixir.parse_token(%{&quot;access_token&quot; =&gt; invalid JWT}) {:error, :claims_parse_fail}","ref":"HubIdentityElixir.HubIdentity.html#parse_token/1","title":"HubIdentityElixir.HubIdentity.parse_token/1","type":"function"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.Server.html","title":"HubIdentityElixir.HubIdentity.Server","type":"module"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.Server.html#authenticate/1","title":"HubIdentityElixir.HubIdentity.Server.authenticate/1","type":"function"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.Server.html#base_url/0","title":"HubIdentityElixir.HubIdentity.Server.base_url/0","type":"function"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.Server.html#get_certs/0","title":"HubIdentityElixir.HubIdentity.Server.get_certs/0","type":"function"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.Server.html#get_providers/0","title":"HubIdentityElixir.HubIdentity.Server.get_providers/0","type":"function"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.Token.html","title":"HubIdentityElixir.HubIdentity.Token","type":"module"},{"doc":"","ref":"HubIdentityElixir.HubIdentity.Token.html#parse/1","title":"HubIdentityElixir.HubIdentity.Token.parse/1","type":"function"},{"doc":"","ref":"HubIdentityElixir.Phoenix.Router.html","title":"HubIdentityElixir.Phoenix.Router","type":"module"},{"doc":"Callback invoked by Plug on every request.","ref":"HubIdentityElixir.Phoenix.Router.html#call/2","title":"HubIdentityElixir.Phoenix.Router.call/2","type":"function"},{"doc":"HubIdentityElixir routes macro. Use this macro to define the HubIdentityElixir routes. This will call hub_identity_routes/0.Examplescope &quot;/&quot; do hub_identity_routes() end","ref":"HubIdentityElixir.Phoenix.Router.html#hub_identity_routes/0","title":"HubIdentityElixir.Phoenix.Router.hub_identity_routes/0","type":"macro"},{"doc":"Callback required by Plug that initializes the router for serving web requests.","ref":"HubIdentityElixir.Phoenix.Router.html#init/1","title":"HubIdentityElixir.Phoenix.Router.init/1","type":"function"},{"doc":"Module with named helpers generated from HubIdentityElixir.Phoenix.Router.","ref":"HubIdentityElixir.Phoenix.Router.Helpers.html","title":"HubIdentityElixir.Phoenix.Router.Helpers","type":"module"},{"doc":"Generates the path information including any necessary prefix.","ref":"HubIdentityElixir.Phoenix.Router.Helpers.html#path/2","title":"HubIdentityElixir.Phoenix.Router.Helpers.path/2","type":"function"},{"doc":"Generates an integrity hash to a static asset given its file path.","ref":"HubIdentityElixir.Phoenix.Router.Helpers.html#static_integrity/2","title":"HubIdentityElixir.Phoenix.Router.Helpers.static_integrity/2","type":"function"},{"doc":"Generates path to a static asset given its file path.","ref":"HubIdentityElixir.Phoenix.Router.Helpers.html#static_path/2","title":"HubIdentityElixir.Phoenix.Router.Helpers.static_path/2","type":"function"},{"doc":"Generates url to a static asset given its file path.","ref":"HubIdentityElixir.Phoenix.Router.Helpers.html#static_url/2","title":"HubIdentityElixir.Phoenix.Router.Helpers.static_url/2","type":"function"},{"doc":"Generates the connection/endpoint base URL without any path information.","ref":"HubIdentityElixir.Phoenix.Router.Helpers.html#url/1","title":"HubIdentityElixir.Phoenix.Router.Helpers.url/1","type":"function"}]